1. Cobalt232's Avatar
    Ok. I just had some minutes and tried to install that app. The app name is Moovit, the package name is com.tranzmate.apk, correct?

    I patched the app with Play Services Patcher, default settings. Then whitelisted the unpatched app and installed the patched one. And guess what, it works as expected. No Play Services error message and the Map is displayed as it should.

    You must be doing something wrong.
    01-19-17 01:01 PM
  2. anon(55900)'s Avatar
    Update:: After about twenty minutes a notification came saying to re.enter password, the new passwords finally worked!!

    I've changed my password to Google email which is also the account that I use for BlackBerry and when I initially set up Cobalt on my unlocked black Passport.

    Now when trying to open cobalts google play store and entering the new password I get this message:
    Cobalt's official Google Apps landing page-img_20170119_165717.png

    Posted via CB10
    Last edited by mawil1013; 01-19-17 at 04:31 PM.
    01-19-17 03:57 PM
  3. Cobalt232's Avatar
    What version of Google Login are you using. If you have 4.4.4 you must have Play Services to be installed or you won't be able to login.
    01-19-17 05:21 PM
  4. roufster's Avatar
    Uber works for me without patching directly from the play store. Go to uber help pages and request access to m.uber.com. i think it loads a web version of the map.
    01-20-17 03:33 AM
  5. kristofszucs's Avatar
    Yes, apologies, today I fresh started everything, and FINALLY got it working. strange... must have had missed something last two times.....

    thank you for taking your time....

    br.

    k
    Cobalt232 likes this.
    01-20-17 04:11 AM
  6. Mauri5io's Avatar
    Cobalt, no maps displayed using GPS10 and patching with default settings... this happen with scruff
    Attached Thumbnails Cobalt's official Google Apps landing page-img_20170120_123604.jpg   Cobalt's official Google Apps landing page-img_20170120_123707.jpg   Cobalt's official Google Apps landing page-img_20170120_123805.jpg  
    01-20-17 06:14 AM
  7. joeragan's Avatar
    I have problem with map not showing too. I patched Uber and other similar apps using PSPatcher 1.6 default settings. The apps all are working but maps are imissing.

    Posted via CB10
    01-20-17 06:53 AM
  8. conite's Avatar
    I have problem with map not showing too. I patched Uber and other similar apps using PSPatcher 1.6 default settings. The apps all are working but maps are imissing.

    Posted via CB10
    You used Whitelist 1.0.0.6 to whitelist the unpatched app, and are using Google Play Services v10?
    01-20-17 07:18 AM
  9. rudysan's Avatar
    01-20-17 08:00 AM
  10. Trouveur's Avatar
    Cobalt, no maps displayed using GPS10 and patching with default settings... this happen with scruff
    Patched latest version of Scruff works fine on my Passport.


    Posted via CB10
    01-20-17 09:32 AM
  11. vikreddy51's Avatar
    Not sure if this is applicable but some apps only work for me when I install the patched app first and THEN add the unpatched app to the whitelist.

    Posted via CB10
    01-20-17 09:35 AM
  12. Cobalt232's Avatar
    It doesn't matter what you do first. Just run the patched app AFTER is is whitelisted
    01-20-17 10:23 AM
  13. Mauri5io's Avatar
    Patched latest version of Scruff works fine on my Passport.
    Did you put in whitelist the original file?
    01-20-17 01:18 PM
  14. conite's Avatar
    Did you put in whitelist the original file?
    If you want maps to work with any app, you MUST whitelist the unpatched app with whitelist 1.0.0.6. You also MUST be running Google Play Services v10. You also should NOT decompile the app when patching.
    01-20-17 01:20 PM
  15. raj bhatti's Avatar
    Google play services blackberryz10

    Posted via CB10
    01-21-17 12:19 AM
  16. Cobalt232's Avatar
    Is that a question or a statement?
    SlcCorrado likes this.
    01-21-17 03:23 AM
  17. hkgnyc's Avatar
    Has anyone had success in making Google's Chrome Remote Desktop app to work on their BB10 device after patching?
    01-21-17 03:35 AM
  18. Trouveur's Avatar
    Did you put in whitelist the original file?
    Yes.


    Posted via CB10
    01-21-17 04:43 AM
  19. Mauri5io's Avatar
    If you want maps to work with any app, you MUST whitelist the unpatched app with whitelist 1.0.0.6. You also MUST be running Google Play Services v10. You also should NOT decompile the app when patching.
    with previous GPS was not needed to have both files!, so I understand that I need the patched one and the untouched also and whitelist the last one?
    But what if I use GPS10 and patch the files with the API key? I don't need to have both and save space.
    Can they be in separate folders? because I have the patched files in the SD card and some non patched apk in the internal memory, just to organize which one needs to be patched when updating
    01-21-17 04:54 AM
  20. Cobalt232's Avatar
    With Play Services V10, the apps don't work if you patch the Maps API key.

    Patch the app with default options in Play Services Patcher. Do not tick "Decompile Resources" in options.

    Play Services V10 uses the original Maps API key of the package. Custom keys are no longer needed and aren't supported anymore.
    Mauri5io likes this.
    01-21-17 06:21 AM
  21. joeldf's Avatar
    Okay, I had kept up with this until now. Of course, days and weeks go by and now I see I've missed a lot.

    Just to clear.

    So, if I have an app that uses Maps in it, do I now have to download the whitelist apk, download the app, install the app unpatched, whitelist it, then uninstall the app and install the patched version?

    Previously, we only needed the whitelist app if we needed to sign into our Google or Google+ account in the app. I have never needed to do that in any app I use, so I never bothered with it.

    Now, are you saying we need the whitelist app just to use an app that uses Maps whether we need to log into Google or not?

    I just want to be sure I understand.

    Posted via CB10
    01-21-17 09:36 AM
  22. conite's Avatar
    Okay, I had kept up with this until now. Of course, days and weeks go by and now I see I've missed a lot.

    Just to clear.

    So, if I have an app that uses Maps in it, do I now have to download the whitelist apk, download the app, install the app unpatched, whitelist it, then uninstall the app and install the patched version?

    Previously, we only needed the whitelist app if we needed to sign into our Google or Google+ account in the app. I have never needed to do that in any app I use, so I never bothered with it.

    Now, are you saying we need the whitelist app just to use an app that uses Maps whether we need to log into Google or not?

    I just want to be sure I understand.

    Posted via CB10
    Use whitelist 1.0.0.6 and whitelist the unpatched app (no need to install the unpatched app). This will allow for in-app purchases, signing in to Google+, AND maps.

    Always use default settings on Play Services Patcher, as there is no longer any need for decompiling and for your maps api key.
    01-21-17 10:07 AM
  23. joeldf's Avatar
    Use whitelist 1.0.0.6 and whitelist the unpatched app (no need to install the unpatched app). This will allow for in-app purchases, signing in to Google+, AND maps.

    Always use default settings on Play Services Patcher, as there is no longer any need for decompiling and for your maps api key.
    So, while previous versions of the whitelist app was only to let one log into Google account / Google+ within the app, the new whitelist (along with new Play Services v10) is needed to use maps within the app, even if you don't ever log into a Google /Google+ account with said app.

    Is that right?

    Posted via CB10
    01-21-17 01:08 PM
  24. conite's Avatar
    So, while previous versions of the whitelist app was only to let one log into Google account / Google+ within the app, the new whitelist (along with new Play Services v10) is needed to use maps within the app, even if you don't ever log into a Google /Google+ account with said app.

    Is that right?

    Posted via CB10
    Yes.
    01-21-17 01:10 PM
  25. joeldf's Avatar
    Cool. Now I feel like I've caught up with things again.

    Posted via CB10
    01-21-17 02:44 PM
9,471 ... 316317318319320 ...

Similar Threads

  1. Which android app you want to run on your BlackBerry
    By amritanshu singh in forum General BlackBerry Discussion
    Replies: 116
    Last Post: 05-19-18, 10:54 AM
  2. Will the amazon app store kill the blackberry world app store?
    By Allgoodnicknamesaretaken in forum BlackBerry Passport
    Replies: 26
    Last Post: 01-28-15, 11:23 AM
  3. Getting the PayPal app for my new Passport?
    By JVRudnick in forum BlackBerry Passport
    Replies: 22
    Last Post: 12-22-14, 10:29 PM
  4. Facebook & Crackberry Apps on Passport
    By UKAsh in forum CrackBerry Apps
    Replies: 5
    Last Post: 11-05-14, 10:43 PM
  5. BB Link type App for iphone 6 - ipad ??
    By Chopper110 in forum BlackBerry Z10
    Replies: 7
    Last Post: 10-06-14, 04:01 AM
LINK TO POST COPIED TO CLIPBOARD